org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface FacetSet

All Superinterfaces:
  DocumentedElement

All Known Subinterfaces:
  Customization

    public interface FacetSet
    extends DocumentedElement

A representation of the model object 'Facet Set'.

The following features are supported:

- `Categories`

See Also:
  `EFacetPackage.getFacetSet()`
Generated:
Model:
  annotation="GenModel documentation='A \"FacetSet\" is the root element of a facet model. It contains a list of \"Facet\".'"

### Method Summary

All Methods Instance Methods Abstract Methods
`<any>` `getCategories()` Returns the value of the 'Categories' containment reference list.
`<any>` `getFacetSets()`

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.DocumentedElement

`getDocumentation, setDocumentation`

### Method Detail

#### getCategories

    <any> getCategories()

Returns the value of the 'Categories' containment reference list. The list contents are of type `Category`.

If the meaning of the 'Categories' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Categories' containment reference list.
See Also:
  `EFacetPackage.getFacetSet_Categories()`
Generated:
Model:
  containment="true"

#### getFacetSets

    <any> getFacetSets()

Generated:
Model:
  kind="operation" annotation="GenModel documentation='The FacetSets aggregated by this FacetSet (this operation is overridden in Aggregate in the aggregate metamodel).'"